FSCK.MINIX(8)

NAMN
fsck.minix - kontrollera konsistensen hos Minix-filsystemet

SYNOPSIS

fsck.minix [flaggor] enhet

BESKRIVNING

fsck.minix utför en konsistenskontroll för Linux MINIX-filsystemet.

Programmet förutsätter att filsystemet är i viloläge. fsck.minix bör inte användas på en monterad enhet om du inte kan vara säker på att ingen skriver till den. Kom ihåg att kärnan kan skriva till enheten när den söker efter filer.

Namnet på enheten har vanligtvis följande form:
    /dev/hda[1-63] | IDE disk 1
    /dev/hdb[1-63] | IDE disk 2
    /dev/sda[1-15] | SCSI disk 1
    /dev/sdb[1-15] | SCSI disk 2

Om filsystemet har ändrats, dvs. reparerats, kommer fsck.minix att skriva ut "FILE SYSTEM HAS BEEN CHANGED" och sync(2) tre gånger innan programmet avslutas. Det finns inget behov av att starta om efter kontrollen.

VARNING

fsck.minix bör inte användas på ett monterat filsystem. Att använda fsck.minix på ett monterat filsystem är mycket farligt, eftersom det finns risk för att raderade filer fortfarande används, och kan allvarligt skada ett perfekt fungerande filsystem! Om du absolut måste köra fsck.minix på ett monterat filsystem, t.ex. rotfilsystemet, ska du se till att inget skrivs till disken och att inga filer är "zombies" som väntar på att raderas.

FLAGGOR

-l, --list
    Lista alla filnamn.

-r, --repair
    Utföra interaktiva reparationer.

-a, --auto
    Utför automatiska reparationer. Den här flaggan innebär --repair och besvarar alla frågor som ställs med standardflaggan. Observera att detta kan vara extremt farligt vid omfattande skador på filsystemet.

-v, --verbose
    Var utförlig.

-s, --super
    Utmatning av superblockinformation.

-m, --uncleared
    Aktivera MINIX-liknande "mode not cleared"-varningar.

-f, --force
    Tvinga fram en filsystemkontroll även om filsystemet har markerats som giltigt. Markeringen görs av kärnan när filsystemet avmonteras.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

DIAGNOSTIK

Det finns många olika diagnosmeddelanden. De som nämns här är de som är vanligast förekommande vid normal användning.

Om enheten inte finns kommer fsck.minix att skriva ut "kan inte läsa superblock". Om enheten finns, men inte är ett MINIX-filsystem, kommer fsck.minix att skriva ut "bad magic number in super-block".

AVSLUTSSTATUS

Avslutningsstatusen som returneras av fsck.minix är summan av följande:

0
    Inga fel

3
    Fel i filsystemet korrigerade, systemet bör startas om om filsystemet var monterat

4
    Fel i filsystemet lämnas okorrigerade

7
    Kombination av utträdesstatus 3 och 4

8
    Operativt fel

16
    Användnings- eller syntaxfel

UPPHOVSPERSONER

Avslutsstatusvärden av Lagt till stöd för filsystemets valid flag: Kontroll för att förhindra fsck av monterat filsystem tillagd av Minix v2 fs-stöd av uppdaterat av Portability patch av

SE ÄVEN

fsck(8), fsck.ext2(8), mkfs(8), mkfs.ext2(8), mkfs.minix(8), reboot(8)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot fsck.minix ingår i paketet util-linux som kan hämtas från